export declare type Callback = () => void;
export declare type State = Record<string, any>;
export declare type Store<T> = {
    [K in keyof T]: {
        subscribe: (listener: Callback) => Callback;
        getSnapshot: () => T[K];
        useSnapshot: () => T[K];
        setSnapshot: (val: T[K]) => void;
    };
};
